Description

Associated revisions

Revision 29fe60a8 - 03/04/2020 03:16 PM - Adam Ruzicka

Fixes #29258 - Initialize dynflow in puma workers

When running puma in clustered mode in production, Dynflow would get initialized

in the master process before workers were forked off and due to CoW the workers

would use the same world id.

With this commit we will eagerly initialize Dynflow only when running under

Passenger. When running under puma, we will initialize Dynflow in workers.

Co-Authored-By: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

Revision dad02244 - 03/05/2020 01:02 PM - Adam Ruzicka

Refs #29258 - Lazy initialize dynflow during rake tasks

which need executor

History

#1 - 03/04/2020 02:00 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7487 added

#2 - 03/04/2020 03:16 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/04/2020 04:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset 29fe60a89b47dfb4292f7a4d28d5eb6f5576b488.

#4 - 03/05/2020 11:40 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7490 added
#5 - 04/27/2020 10:46 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7614 added

#6 - 04/27/2020 11:54 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7615 added

#7 - 04/28/2020 09:40 AM - Tomer Brisker

- Category set to Plugin integration

- Fixed in Releases 1.24.3, 2.0.1 added
